hwy::HWY_NAMESPACE::impl::CosSinImpl< float > Struct Reference

`#include <math-inl.h>`

## Public Member Functions

template<class D , class V >
HWY_INLINE Vec< Rebind< int32_t, D > > | ToInt32 (D, V x)
template<class D , class V >
HWY_INLINE V | Poly (D d, V x)
template<class D , class V , class VI32 >
HWY_INLINE V | CosReduce (D d, V x, VI32 q)
template<class D , class V , class VI32 >
HWY_INLINE V | SinReduce (D d, V x, VI32 q)
template<class D , class VI32 >
HWY_INLINE Vec< Rebind< float, D > > | CosSignFromQuadrant (D d, VI32 q)
template<class D , class VI32 >
HWY_INLINE Vec< Rebind< float, D > > | SinSignFromQuadrant (D d, VI32 q)

## Member Function Documentation

## CosReduce()

template<class D , class V , class VI32 >

HWY_INLINE V hwy::HWY_NAMESPACE::impl::CosSinImpl< float >::CosReduce | ( | D | d,
|  | V | x,
|  | VI32 | q
| ) |  |

inline

References hwy::HWY_NAMESPACE::ConvertTo(), hwy::HWY_NAMESPACE::d, hwy::HWY_NAMESPACE::MulAdd(), and hwy::HWY_NAMESPACE::Set().

## CosSignFromQuadrant()

template<class D , class VI32 >

HWY_INLINE Vec< Rebind< float, D > > hwy::HWY_NAMESPACE::impl::CosSinImpl< float >::CosSignFromQuadrant | ( | D | d,
|  | VI32 | q
| ) |  |

inline

References hwy::HWY_NAMESPACE::AndNot(), hwy::HWY_NAMESPACE::BitCast(), hwy::HWY_NAMESPACE::d, and hwy::HWY_NAMESPACE::Set().

## Poly()

template<class D , class V >

HWY_INLINE V hwy::HWY_NAMESPACE::impl::CosSinImpl< float >::Poly | ( | D | d,
|  | V | x
| ) |  |

inline

References hwy::HWY_NAMESPACE::d, hwy::HWY_NAMESPACE::impl::Estrin(), hwy::HWY_NAMESPACE::MulAdd(), and hwy::HWY_NAMESPACE::Set().

## SinReduce()

template<class D , class V , class VI32 >

HWY_INLINE V hwy::HWY_NAMESPACE::impl::CosSinImpl< float >::SinReduce | ( | D | d,
|  | V | x,
|  | VI32 | q
| ) |  |

inline

References hwy::HWY_NAMESPACE::ConvertTo(), hwy::HWY_NAMESPACE::d, hwy::HWY_NAMESPACE::MulAdd(), and hwy::HWY_NAMESPACE::Set().

## SinSignFromQuadrant()

template<class D , class VI32 >

HWY_INLINE Vec< Rebind< float, D > > hwy::HWY_NAMESPACE::impl::CosSinImpl< float >::SinSignFromQuadrant | ( | D | d,
|  | VI32 | q
| ) |  |

inline

References hwy::HWY_NAMESPACE::And(), hwy::HWY_NAMESPACE::BitCast(), hwy::HWY_NAMESPACE::d, and hwy::HWY_NAMESPACE::Set().

## ToInt32()

template<class D , class V >

HWY_INLINE Vec< Rebind< int32_t, D > > hwy::HWY_NAMESPACE::impl::CosSinImpl< float >::ToInt32 | ( | D | ,
|  | V | x
| ) |  |

inline

References hwy::HWY_NAMESPACE::ConvertTo().

The documentation for this struct was generated from the following file:

- math-inl.h